Subject: Re: (CygIPC) Can't get shmget() to work at all
From: "Mark Paulus" <[email-masked]>
To: "Andreas Eibach" <[email-masked]>, "Charles Wilson" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 04 Sep 2001 07:23:32 -0600

Are you by chance trying to compile/link a C++ program/module?
I have found that the header files that Charles provides have not
been "C" externalized, so the namespace is not preserved, which
causes link problems.

Charles,
Would you like me to furnish quick patches to address this issue?
I have done/fixed this on my machine, and rebuilt the library,
and now everything works just peachy-keen.

On Sun, 02 Sep 2001 18:15:07 -0400, Charles Wilson wrote:

>Andreas Eibach wrote:
>
>> Hi,
>> 
>> first of all, great work with that CygIPC package! :)
>> 
>> Now the problem:
>> 
>> I'm using Cygwin 1.3.1 (I apologize for this, but I simply aren't willing to
>> seperate from my beloved //X drive access instead of /cygdrive/X  <grin> , I
>> know cgf removed it now. Well, that's his very own decision.).
>
>
>Not really.  It was a developer decision -- not just Chris' alone.  Long 
>ago it was determined that the "//x" notation was causing big problems; 
>in addition to preventing access to external SMB hosts named with single 
>letters, IIRC there were network latencies introduced into what should 
>be a local operation.  Search the archives from about 1 year ago for 
>"why is 'ls' so slow".
>
>So, the '//x' notation has been deprecated for quite a long time. 
>Deprecated means "will be going away soon.  Begin transitioning away 
>from this usage or you'll be sorry later."
>
>It's now "later".
>
>
>> However, 1.3.1 is from 04/24/01, whilst Chuck's dist of CygIPC is from
>> 02/17/01 so this shouldn't _actually_ make problems.
>> 
>> But it does:
>> /cygdrive/c/WINDOWS/TEMP/ccdzHOin.o(.text+0x46):shm1.c: undefined reference
>> to `ftok'
>> /cygdrive/c/WINDOWS/TEMP/ccdzHOin.o(.text+0x86):shm1.c: undefined reference
>> to `shmget'
>> collect2: ld returned 1 exit status
>> 
>> I'm using the latest distribution (1.09), of course.
>> What's up there?
>> Thanks for your help.
>
>
>Ummm...you didn't show your link command.  Are you using -lcygipc ? 
>-L/usr/local/lib ?
>
>--Chuck
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/